Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11864)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11865)
@@ -127,27 +127,31 @@
             dalash_amt = 1800.0
             provider_amt = 1200.0
-            if xmldict['faculty'] in ('CPGS',):
-                xmldict['institution_acct'] = "1771586608"    #changed account no. from 1771180233
-                xmldict['institution_bank_id'] = '120'
-            elif xmldict['faculty'] in ('IBAS',):
-                xmldict['institution_acct'] = "2013910271"
-                xmldict['institution_bank_id'] = '8'
-                self.pay_item_id = '107'
-            elif xmldict['faculty'] in ('IETS',):
-                xmldict['institution_acct'] = "2013910271"
-                xmldict['institution_bank_id'] = '8'
-                self.pay_item_id = '109'
-            elif xmldict['faculty'] in ('IFMS',):
-                xmldict['institution_acct'] = "0106259811"
-                xmldict['institution_bank_id'] = '10'
-                self.pay_item_id = '106'
-            elif xmldict['faculty'] in ('ITCH',):
-                xmldict['institution_acct'] = "1771586608"    #changed account no. from 1771180233
-                xmldict['institution_bank_id'] = '120'
-                self.pay_item_id = '110'
-            elif xmldict['faculty'] in ('IICT',):
-                xmldict['institution_acct'] = "2013910271"
-                xmldict['institution_bank_id'] = '8'
-                self.pay_item_id = '108'
+            if not student.current_mode.endswith('_pt'):
+                if xmldict['faculty'] in ('CPGS',):
+                    xmldict['institution_acct'] = "1771586608"    #changed account no. from 1771180233
+                    xmldict['institution_bank_id'] = '120'
+                elif xmldict['faculty'] in ('IBAS',):
+                    xmldict['institution_acct'] = "1771586608"  #Changed from FBN to SKYE Bank
+                    xmldict['institution_bank_id'] = '120'
+                    self.pay_item_id = '107'
+                elif xmldict['faculty'] in ('IETS',):
+                    xmldict['institution_acct'] = "0693033406" #Changed from FBN to Access Bank
+                    xmldict['institution_bank_id'] = '31'
+                    self.pay_item_id = '109'
+                elif xmldict['faculty'] in ('IFMS',):
+                    xmldict['institution_acct'] = "2013910271" #changed bank from GTBank to FBN
+                    xmldict['institution_bank_id'] = '8'
+                    self.pay_item_id = '106'
+                elif xmldict['faculty'] in ('ITCH',):
+                    xmldict['institution_acct'] = "0106259811"    #changed from SKYE Bank to GTbank
+                    xmldict['institution_bank_id'] = '10'
+                    self.pay_item_id = '110'
+                elif xmldict['faculty'] in ('IICT',):
+                    xmldict['institution_acct'] = "1100019929" #changed from FBN to Keystone Bank
+                    xmldict['institution_bank_id'] = '123'
+                    self.pay_item_id = '108'
+            else:
+                xmldict['institution_acct'] = "0838798020"  #part-time fees acquired by FCMB
+                xmldict['institution_bank_id'] = '76'
         elif self.context.p_category in SPECIAL_PAYMENT_PARAMS.keys():
             self.pay_item_id = SPECIAL_PAYMENT_PARAMS[self.context.p_category][0]
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11864)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11865)
@@ -147,5 +147,5 @@
         self.assertMatches('...Amount Authorized...', self.browser.contents)
         self.assertMatches(
-            '...<span>29500.0</span>...',
+            '...<span>30500.0</span>...',
             self.browser.contents)
         self.payment_url = self.browser.url
@@ -163,8 +163,8 @@
                            self.browser.contents)
         self.assertTrue(
-            '<input type="hidden" name="amount" value="2950000" />' in
-            self.browser.contents)
-        self.assertTrue(
-            'item_name="School Fee" item_amt="2620000" bank_id="120" acct_num="1771586608"' in
+            '<input type="hidden" name="amount" value="3050000" />' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="2720000" bank_id="120" acct_num="1771586608"' in
             self.browser.contents)
         self.assertTrue(
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 11864)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 11865)
@@ -246,5 +246,5 @@
         self.assertEqual(payment.p_level, 200)
         self.assertEqual(payment.p_session, 2005)
-        self.assertEqual(payment.amount_auth, 32090.0)
+        self.assertEqual(payment.amount_auth, 33090.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -252,5 +252,5 @@
         configuration.penalty_ug = 5000.0
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 37090.0)
+        self.assertEqual(payment.amount_auth, 38090.0)
         self.assertEqual(error, None)
 
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 11864)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 11865)
@@ -55,22 +55,20 @@
         (
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (34500.0, 39400.0, 28500.0, 29500.0, 28500.0, 0.0, 40000.0, 29400.0, 31700.0, 29400.0, 0.0, 56600.0), # science
-            (34500.0, 37900.0, 27000.0, 28000.0, 27000.0, 0.0, 38500.0, 27900.0, 30200.0, 27900.0, 0.0, 55100.0)  # arts
+            (34500.0, 39400.0, 28800.0, 30500.0, 28800.0, 0.0, 40000.0, 29900.0, 33700.0, 29900.0, 0.0, 48750.0), # science
+            (34500.0, 37900.0, 27300.0, 29000.0, 27300.0, 0.0, 38500.0, 28400.0, 32200.0, 28400.0, 0.0, 47200.0)  # arts
           ), # local
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (49600.0, 53900.0, 37600.0, 32090.0, 37600.0, 0.0, 56400.0, 39100.0, 34900.0, 39100.0, 0.0, 83250.0), # science
-            (49600.0, 52400.0, 36100.0, 30590.0, 36100.0, 0.0, 54900.0, 37600.0, 33400.0, 37600.0, 0.0, 81750.0)  # arts
+            (49600.0, 53900.0, 35900.0, 33090.0, 35900.0, 0.0, 56400.0, 38600.0, 36900.0, 38600.0, 0.0, 63180.0), # science
+            (49600.0, 52400.0, 34400.0, 31590.0, 34400.0, 0.0, 54900.0, 37100.0, 35400.0, 37100.0, 0.0, 61680.0)  # arts
           ), # non-local
         ), # ft
-	
-#Repeaters fees now included for part-times students to mirror that of full-time students
         (
-          ( # 10    100      110      200      210      300      400      410      500      510      600    999
-            (0.0, 40700.0, 28500.0, 29900.0, 28500.0, 29900.0, 41100.0, 29400.0, 31050.0, 29400.0, 31050.0, 0.0), # science
-            (0.0, 39200.0, 27000.0, 28400.0, 27000.0, 28400.0, 39600.0, 27900.0, 29550.0, 29400.0, 29550.0, 0.0)  # arts
+          ( # 10    100       110    200      210      300      400        410    500     510       600     999
+            (0.0, 40700.0, 28800.0, 30900.0, 28800.0, 30900.0, 41100.0, 29900.0, 33050.0, 29900.0, 33050.0, 0.0), # science
+            (0.0, 39200.0, 27300.0, 29400.0, 27300.0, 29400.0, 39600.0, 28400.0, 31550.0, 28400.0, 31550.0, 0.0)  # arts
           ), # local
-          ( # 10    100      110      200      210      300      400      410      500      510      600    999
-            (0.0, 55400.0, 37600.0, 33850.0, 37600.0, 33850.0, 58300.0, 39100.0, 42350.0, 39100.0, 42350.0, 0.0), # science
-            (0.0, 53900.0, 36100.0, 32350.0, 36100.0, 32350.0, 56800.0, 37600.0, 40850.0, 37600.0, 40850.0, 0.0)  # arts
+          ( # 10   100         110    200       210      300      400     410      500     510      600     999
+            (0.0, 55400.0, 35900.0, 34850.0, 35900.0, 34850.0, 57800.0, 38600.0, 44350.0, 38600.0, 44350.0, 0.0), # science
+            (0.0, 53900.0, 34400.0, 33350.0, 34400.0, 33350.0, 56300.0, 37100.0, 42850.0, 37100.0, 42850.0, 0.0)  # arts
           ), # non-local
         ), # pt