Index: /main/waeup.kwarapoly/trunk/CHANGES.txt
===================================================================
--- /main/waeup.kwarapoly/trunk/CHANGES.txt	(revision 11872)
+++ /main/waeup.kwarapoly/trunk/CHANGES.txt	(revision 11873)
@@ -4,4 +4,6 @@
 1.2dev (unreleased)
 ===================
+
+* Rename 'Study Course', 'Phone', 'Email', 'Faculty'.
 
 * Add PIN fields to first and second sitting sections on UG clearance form'.
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 11872)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 11873)
@@ -9,4 +9,6 @@
 "Content-Type: text/plain; charset=iso-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Language: en\n"
+"X-Generator: Poedit 1.6.5\n"
 
 msgid "Upload portrait"
@@ -19,2 +21,58 @@
 msgstr "Change photo"
 
+msgid "Faculty"
+msgstr "Institute"
+
+msgid "Faculty:"
+msgstr "Institute:"
+
+msgid "Faculties"
+msgstr "Institutes"
+
+msgid "The faculty code chosen already exists."
+msgstr "The institute code chosen already exists."
+
+msgid "Manage faculty"
+msgstr "Manage institute"
+
+msgid "Add faculty"
+msgstr "Add institute"
+
+msgid "The code chosen already exists in this faculty."
+msgstr "The code chosen already exists in this institute."
+
+msgid "Faculty Code"
+msgstr "Institute Code"
+
+msgid "Name of faculty"
+msgstr "Name of institute"
+
+msgid "Email"
+msgstr "Email Address"
+
+msgid "Email:"
+msgstr "Email Address:"
+
+msgid "Phone"
+msgstr "GSM Number"
+
+msgid "Phone:"
+msgstr "GSM Number:"
+
+msgid "Study Course"
+msgstr "Course of Study"
+
+msgid "Study Course:"
+msgstr "Course of Study:"
+
+msgid "Desired Study Courses"
+msgstr "Desired Courses of Study"
+
+msgid "Previous Study Course"
+msgstr "Previous Course of Study"
+
+msgid "${a}: Study Course"
+msgstr "${a}: Course of Study"
+
+msgid "${a}: Previous Study Course"
+msgstr "${a}: Previous Course of Study"
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/browser.py	(revision 11872)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/browser.py	(revision 11873)
@@ -210,5 +210,5 @@
 
 class ExportPDFAdmissionNotificationPage(UtilityView, grok.View):
-    """Deliver a PDF Admission nostification slip.
+    """Deliver a PDF Admission notification slip.
     """
     grok.context(ICustomStudent)
@@ -336,17 +336,22 @@
         return students_utils.renderPDF(
             self, 'registration_slip.pdf',
-            self.context.student, studentview, signatures=([_('Bursar')],),
+            self.context.student, studentview, signatures=None,
             omit_fields=self.omit_fields,
             note=post_text_registration)
 
-post_text_registration = """<br /><br /><br /><br />
-<strong>IMPORTANTANT NOTICE</strong>
+post_text_registration = """<br /><br />
+<strong>IMPORTANT NOTICE</strong>
 <br /><br />
-This registration slip must be submitted before attendance of lectures. Note that:<br /><br />
+This registration slip must be supplied before attendance of lectures. Note that:<br /><br />
 1. All fees due must be paid in full.<br /><br />
 2. All information required must be available on the Registration Form.<br /><br />
 3. The Signature of all appropriate Polytechnic Authority must be obtained.<br /><br />
 4. The endorsed Registration Form should be returned to the respective Institutes and Administrative Offices.<br /><br />
-5. No student may change his subject or course of study as shown in the signed Registration Form without clearance from Admissions Office and the Director of the appropriate Institute.
+5. No student may change his subject or course of study as shown in the signed Registration Form without clearance from the Admissions Office and the Director of the appropriate Institute.<br /><br />
+6. All candidates admitted into the HND I programmes should submit the photocopies of their original certificates of ND and SSCE with scratch card online for clearance latest a week after the admission is offered. Failure to comply with this directive may lead to the forfeiture of the admission.<br /><br />
+
+M.O. Adebayo<br />
+Admission Officer<br />
+For: Registrar
 """
 
@@ -354,5 +359,5 @@
 <strong>INSTRUCTIONS TO FRESHERS</strong>
 <br /><br />
-You are hereby offered a provisional admission for the 2013/2014 session subject to the conditions that:
+You are hereby offered a provisional admission for the 2014/2015 session subject to the conditions that:
 <br /><br />
 1. The information given in your Application Form is correct.<br /><br />
@@ -368,5 +373,9 @@
 11. You are prepared to take up accommodation provided on the campuses by the authority.<br /><br />
 12. There will be no refund of school fees once paid.<br /><br />
-13. If you accept this offer with above stated conditions, please make a photocopy of this document and return it to the Admission Office immediately.<br /><br />
-14. You possess the entry requirement for the programme you are admitted into before making payment of school fees and registration.<br /><br />
+13. If you accept this offer with the above stated conditions, please make a photocopy of this document and return it to the Admission Office immediately.<br /><br />
+14. You possess the entry requirement for the programme you are admitted.<br /><br />
+
+M.O. Adebayo<br />
+Admission Officer<br />
+For: Registrar
 """
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 11872)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 11873)
@@ -439,5 +439,5 @@
         self.browser.getControl(name="form.password").value = 'spwd'
         self.browser.getControl("Login").click()
-        self.browser.getLink("Study Course").click()
+        self.browser.getLink("Course of Study").click()
         self.browser.getLink("Add course list").click()
         self.assertMatches('...Add current level 100 (Year 1)...',