Index: main/waeup.fceokene/trunk/src/waeup/fceokene/interfaces.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/interfaces.py	(revision 11882)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/interfaces.py	(revision 11913)
@@ -63,12 +63,6 @@
         )
 
-    gown_fee = schema.Float(
-        title = _(u'Gown Fee'),
-        default = 0.0,
-        required = False,
-        )
-
-    transfer_fee = schema.Float(
-        title = _(u'Transfer Fee'),
+    third_semester_fee = schema.Float(
+        title = _(u'NCE Third Semester Fee'),
         default = 0.0,
         required = False,
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 11882)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 11913)
@@ -84,6 +84,5 @@
     def test_manage_payments(self):
         # Add missing configuration data
-        self.app['configuration']['2004'].gown_fee = 150.0
-        self.app['configuration']['2004'].transfer_fee = 90.0
+        self.app['configuration']['2004'].third_semester_fee = 90.0
         self.app['configuration']['2004'].clearance_fee = 120.0
         self.app['configuration']['2004'].booking_fee = 150.0
@@ -131,10 +130,11 @@
                            self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['gown']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
-        self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['transfer']
+        self.browser.getControl(name="form.p_category").value = ['third_semester']
+        self.browser.getControl("Create ticket").click()
+        self.assertMatches('...could not be determined...',
+                           self.browser.contents)
+        self.certificate.study_mode = 'nce_ft'
+        self.browser.open(self.payments_path + '/addop')
+        self.browser.getControl(name="form.p_category").value = ['third_semester']
         self.browser.getControl("Create ticket").click()
         self.assertMatches('...ticket created...',
@@ -214,6 +214,5 @@
 
     def test_set_payment_details(self):
-        self.app['configuration']['2004'].gown_fee = 150.0
-        self.app['configuration']['2004'].transfer_fee = 90.0
+        self.app['configuration']['2004'].third_semester_fee = 90.0
         self.app['configuration']['2004'].booking_fee = 150.0
         self.app['configuration']['2004'].maint_fee = 180.0
@@ -274,11 +273,4 @@
         self.assertEqual(error, None)
 
-        error, payment = utils.setPaymentDetails('gown',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 300.0)
-        self.assertEqual(payment.p_item, u'')
-        self.assertEqual(error, None)
-
         self.student['studycourse'].current_session = 2005
         error, payment = utils.setPaymentDetails('hostel_maintenance',self.student)
@@ -294,4 +286,11 @@
         self.assertEqual(error, None)
 
+        error, payment = utils.setPaymentDetails('third_semester',self.student)
+        self.assertEqual(payment.p_level, 100)
+        self.assertEqual(payment.p_session, 2004)
+        self.assertEqual(payment.amount_auth, 240.0)
+        self.assertEqual(payment.p_item, u'')
+        self.assertEqual(error, None)
+
         self.certificate.study_mode = u'nce_sw'
         error, payment = utils.setPaymentDetails('hostel_maintenance',self.student)
@@ -306,11 +305,4 @@
         self.assertEqual(payment.p_session, 2004)
         self.assertEqual(payment.amount_auth, 300.0)
-        self.assertEqual(payment.p_item, u'')
-        self.assertEqual(error, None)
-
-        error, payment = utils.setPaymentDetails('transfer',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 240.0)
         self.assertEqual(payment.p_item, u'')
         self.assertEqual(error, None)
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py	(revision 11882)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py	(revision 11913)
@@ -138,4 +138,6 @@
             except (AttributeError, TypeError):
                 return _('Study course data are incomplete.'), None
+        elif category == 'third_semester' and student.current_mode == 'nce_ft':
+            amount = academic_session.third_semester_fee
         elif category == 'schoolfee':
             try:
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/utils/utils.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/utils/utils.py	(revision 11882)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/utils/utils.py	(revision 11913)
@@ -18,4 +18,5 @@
 """Customize general helper utilities for Kofa.
 """
+from copy import deepcopy
 from kofacustom.nigeria.utils.utils import NigeriaKofaUtils
 from waeup.fceokene.interfaces import MessageFactory as _
@@ -36,4 +37,19 @@
         }
 
+
+    PAYMENT_CATEGORIES = {
+        'schoolfee': 'School Fee',
+        'clearance': 'Acceptance Fee',
+        'bed_allocation': 'Bed Allocation Fee',
+        'hostel_maintenance': 'Hostel Maintenance Fee',
+        #'transfer': 'Transfer Fee',
+        #'gown': 'Gown Hire Fee',
+        'application': 'Application Fee',
+        #'transcript': 'Transcript Fee',
+        'third_semester': 'NCE Third Semester Fee',
+        }
+
+    SELECTABLE_PAYMENT_CATEGORIES = deepcopy(PAYMENT_CATEGORIES)
+
     def getPaymentItem(self, payment):
         """Return payment item.