Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py	(revision 11921)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py	(revision 11922)
@@ -223,4 +223,19 @@
         required = True,
         )
+    utme_registration_fee = schema.Float(
+        title = _(u'UTME Registration Fee'),
+        default = 0.0,
+        required = True,
+        )
+    utme_cbt_fee = schema.Float(
+        title = _(u'UTME CBT Fee'),
+        default = 0.0,
+        required = True,
+        )
+    nysc_id_card_fee = schema.Float(
+        title = _(u'NYSC ID Card Fee'),
+        default = 0.0,
+        required = True,
+        )
     penalty_ug = schema.Float(
         title = _(u'UG Penalty Fee'),
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11921)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11922)
@@ -83,4 +83,7 @@
     'pgd_transcript_local': ('139', 200.0, 300.0, '7000016724', '9'),
     'jamb_regularization': ('140', 200.0, 300.0, '0838798020', '76'),
+    'utme_registration': ('142', 6.0, 9.0, '2013910271', '8'),
+    'utme_cbt': ('143', 6.0, 9.0, '2013910271', '8'),
+    'nysc_id_card': ('144', 6.0, 9.0, '7000016724', '9'),
     }
 
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11921)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11922)
@@ -229,5 +229,5 @@
             self.browser.contents)
         self.assertMatches(
-            '...item_name="Hostel Maintenance Fee" item_amt="57600" bank_id="31" acct_num="0039050937"...',
+            '...item_name="Hostel Maintenance" item_amt="57600" bank_id="31" acct_num="0039050937"...',
             self.browser.contents)
 
@@ -529,5 +529,5 @@
             in self.browser.contents)
         self.assertTrue(
-            '<item_detail item_id="1" item_name="Application Fee" '
+            '<item_detail item_id="1" item_name="Application" '
             'item_amt="253300" bank_id="120" acct_num="1771440667" />'
             in self.browser.contents)
@@ -541,5 +541,5 @@
         self.browser.getLink("CollegePAY", index=0).click()
         self.assertTrue(
-            '<item_detail item_id="1" item_name="Application Fee" '
+            '<item_detail item_id="1" item_name="Application" '
             'item_amt="253300" bank_id="120" acct_num="1771440667" />'
             in self.browser.contents)
@@ -562,5 +562,5 @@
         self.browser.getLink("CollegePAY", index=0).click()
         self.assertTrue(
-            '<item_detail item_id="1" item_name="Application Fee" '
+            '<item_detail item_id="1" item_name="Application" '
             'item_amt="253300" bank_id="10" acct_num="0106259811" />'
             in self.browser.contents)
@@ -586,5 +586,5 @@
         self.browser.getLink("CollegePAY", index=0).click()
         self.assertTrue(
-            '<item_detail item_id="1" item_name="Application Fee" '
+            '<item_detail item_id="1" item_name="Application" '
             'item_amt="253300" bank_id="8" acct_num="2013910271" />'
             in self.browser.contents)
@@ -613,5 +613,5 @@
         self.browser.getLink("CollegePAY", index=0).click()
         self.assertTrue(
-            '<item_detail item_id="1" item_name="Application Fee" '
+            '<item_detail item_id="1" item_name="Application" '
             'item_amt="253300" bank_id="8" acct_num="2013910271" />'
             in self.browser.contents)
@@ -680,5 +680,5 @@
         # The university gets 570.5 - (1.5% x 570.5) - 3 - 4.5
         self.assertTrue(
-            '<item_detail item_id="1" item_name="Log Book Fees" '
+            '<item_detail item_id="1" item_name="Log Book" '
             'item_amt="55444" bank_id="117" acct_num="1010508401" />'
             in self.browser.contents)
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 11921)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 11922)
@@ -54,8 +54,8 @@
         'carryover2': '2 CarryOvers',
         'carryover3': '3 CarryOvers',
-        'clearance': 'Acceptance Fee',
-        'bed_allocation': 'Bed Allocation Fee',
-        'hostel_maintenance': 'Hostel Maintenance Fee',
-        'application': 'Application Fee',
+        'clearance': 'Acceptance',
+        'bed_allocation': 'Bed Allocation',
+        'hostel_maintenance': 'Hostel Maintenance',
+        'application': 'Application',
         'certificate': 'ND Certificate',
         'hnd_certificate': 'HND Certificate',
@@ -86,6 +86,9 @@
         'hnd_conv_brochure': 'HND Convocation Brochure',
         'pgd_conv_brochure': 'PGD Convocation Brochure',
-        'log_book': 'Log Book Fees',
+        'log_book': 'Log Book',
         'jamb_regularization': 'Jamb Regularization',
+        'utme_registration': 'UTME Registration',
+        'utme_cbt': 'UTME CBT',
+        'nysc_id_card': 'NYSC ID Card'
         }
 
@@ -95,5 +98,5 @@
         'carryover2': 'Two CarryOvers',
         'carryover3': 'Three CarryOvers',
-        'hostel_maintenance': 'Hostel Maintenance Fee',
+        'hostel_maintenance': 'Hostel Maintenance',
         'certificate': 'ND Certificate',
         'hnd_certificate': 'HND Certificate',
@@ -124,6 +127,9 @@
         'hnd_conv_brochure': 'HND Convocation Brochure',
         'pgd_conv_brochure': 'PGD Convocation Brochure',
-        'log_book': 'Log Book Fees',
+        'log_book': 'Log Book',
         'jamb_regularization': 'Jamb Regularization',
+        'utme_registration': 'UTME Registration',
+        'utme_cbt': 'UTME CBT',
+        'nysc_id_card': 'NYSC ID Card'
         }
 
@@ -169,5 +175,8 @@
         'hnd_conv_brochure': 'HND Convocation Brochure',
         'pgd_conv_brochure': 'PGD Convocation Brochure',
-        'log_book': 'Log Book Fees',
+        'log_book': 'Log Book',
         'jamb_regularization': 'Jamb Regularization',
+        'utme_registration': 'UTME Registration',
+        'utme_cbt': 'UTME CBT',
+        'nysc_id_card': 'NYSC ID Card'
         }