Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/applicant.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/applicant.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/applicant.py	(revision 11940)
@@ -22,5 +22,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from kofacustom.nigeria.applicants.applicant import NigeriaApplicant
-from kofacustom.skeleton.applicants.interfaces import(
+from kofacustom.wdu.applicants.interfaces import(
     ICustomApplicant, ICustomUGApplicantEdit, ICustomPGApplicantEdit, IPUTMEApplicantEdit)
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/batching.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/batching.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/batching.py	(revision 11940)
@@ -20,5 +20,5 @@
 from waeup.kofa.utils.batching import BatchProcessor
 from waeup.kofa.applicants.batching import ApplicantProcessor
-from kofacustom.skeleton.applicants.interfaces import (
+from kofacustom.wdu.applicants.interfaces import (
     ICustomApplicant, ICustomApplicantUpdateByRegNo)
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/browser.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/browser.py	(revision 11940)
@@ -25,4 +25,4 @@
     NigeriaPDFApplicationSlip)
 
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.wdu.interfaces import MessageFactory as _
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/export.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/export.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/export.py	(revision 11940)
@@ -23,5 +23,5 @@
 from kofacustom.nigeria.applicants.interfaces import (
     INigeriaUGApplicant, INigeriaPGApplicant)
-from kofacustom.skeleton.applicants.interfaces import (
+from kofacustom.wdu.applicants.interfaces import (
     ICustomUGApplicant, ICustomPGApplicant)
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/interfaces.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/interfaces.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/interfaces.py	(revision 11940)
@@ -37,6 +37,6 @@
     IPUTMEApplicantEdit,
     )
-from kofacustom.skeleton.interfaces import MessageFactory as _
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
+from kofacustom.wdu.interfaces import MessageFactory as _
+from kofacustom.wdu.payments.interfaces import ICustomOnlinePayment
 
 class ICustomUGApplicant(INigeriaUGApplicant):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/payment.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/payment.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/payment.py	(revision 11940)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.wdu.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_applicant.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/tests/test_applicant.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_applicant.py	(revision 11940)
@@ -30,9 +30,9 @@
 from waeup.kofa.interfaces import IFileStoreHandler, IFileStoreNameChooser
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.applicants.applicant import (
+from kofacustom.wdu.applicants.applicant import (
     CustomApplicant, CustomApplicantFactory,
     )
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicant
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.applicants.interfaces import ICustomApplicant
+from kofacustom.wdu.testing import FunctionalLayer
 
 class CustomApplicantTest(FunctionalTestCase):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 11940)
@@ -24,9 +24,9 @@
 from zope.catalog.interfaces import ICatalog
 from zope.intid.interfaces import IIntIds
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.skeleton.applicants.export import CustomApplicantsExporter
-from kofacustom.skeleton.applicants.batching import CustomApplicantProcessor
+from kofacustom.wdu.applicants.export import CustomApplicantsExporter
+from kofacustom.wdu.applicants.batching import CustomApplicantProcessor
 
 class CustomApplicantUITests(ApplicantsFullSetup):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/utils.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/applicants/utils.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/utils.py	(revision 11940)
@@ -22,5 +22,5 @@
 from waeup.kofa.applicants.workflow import (INITIALIZED,
     STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.wdu.interfaces import MessageFactory as _
 
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/browser/pages.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/browser/pages.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/browser/pages.py	(revision 11940)
@@ -21,5 +21,5 @@
     LoginPage, CertificatePage, CertificateManageFormPage)
 from waeup.kofa.university.interfaces import ICertificate
-from kofacustom.skeleton.interfaces import (
+from kofacustom.wdu.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/browser/tests.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/browser/tests.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/browser/tests.py	(revision 11940)
@@ -22,5 +22,5 @@
 from zope.security.interfaces import Unauthorized
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 from waeup.kofa.app import University
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/configuration.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/configuration.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/configuration.py	(revision 11940)
@@ -24,5 +24,5 @@
 from waeup.kofa.configuration import (
     SessionConfigurationFactory, SessionConfiguration)
-from kofacustom.skeleton.interfaces import (
+from kofacustom.wdu.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/configure.zcml
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/configure.zcml	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/configure.zcml	(revision 11940)
@@ -1,5 +1,5 @@
 <configure xmlns="http://namespaces.zope.org/zope"
            xmlns:grok="http://namespaces.zope.org/grok">
-  <include package="kofacustom.skeleton" file="locales.zcml" />
+  <include package="kofacustom.wdu" file="locales.zcml" />
 
   <!-- kofacustom.nigeria configures everything we basically need.
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/ftesting.zcml
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/ftesting.zcml	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/ftesting.zcml	(revision 11940)
@@ -2,10 +2,10 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="kofacustom.skeleton"
-   package="kofacustom.skeleton"
+   i18n_domain="kofacustom.wdu"
+   package="kofacustom.wdu"
    >
 
-  <include package="kofacustom.skeleton" />
-  <include package="kofacustom.skeleton" file="mail.zcml"/>
+  <include package="kofacustom.wdu" />
+  <include package="kofacustom.wdu" file="mail.zcml"/>
 
   <!-- Where should the datacenter reside by default? -->
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/interfaces.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/interfaces.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/interfaces.py	(revision 11940)
@@ -23,5 +23,5 @@
     ISessionConfiguration, academic_sessions_vocab)
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.skeleton')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.wdu')
 
 # It's recommended to replicate all fields from the base package here.
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/interswitch/browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/interswitch/browser.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/interswitch/browser.py	(revision 11940)
@@ -23,10 +23,10 @@
     InterswitchPageStudent, InterswitchPageApplicant,
     )
-from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicantOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.wdu.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.wdu.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.wdu.interfaces import MessageFactory as _
 
 PRODUCT_ID = '57'
-SITE_NAME = 'skeleton-kofa.waeup.org'
+SITE_NAME = 'wdu-kofa.waeup.org'
 PROVIDER_ACCT = '00000000'
 PROVIDER_BANK_ID = '00'
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/interswitch/tests.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/interswitch/tests.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/interswitch/tests.py	(revision 11940)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.configuration import SessionConfiguration
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 
 # Also run tests that send requests to external servers?
@@ -152,5 +152,5 @@
         self.assertTrue(
             'zope.mgr - '
-            'kofacustom.skeleton.interswitch.browser.CustomInterswitchPaymentRequestWebservicePageStudent - '
+            'kofacustom.wdu.interswitch.browser.CustomInterswitchPaymentRequestWebservicePageStudent - '
             'X1000000 - successful schoolfee payment: p3547789850240\n'
             in logcontent)
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/payments/interfaces.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/payments/interfaces.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/payments/interfaces.py	(revision 11940)
@@ -19,5 +19,5 @@
 from zope import schema
 from kofacustom.nigeria.payments.interfaces import INigeriaOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.wdu.interfaces import MessageFactory as _
 
 class ICustomOnlinePayment(INigeriaOnlinePayment):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/batching.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/batching.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/batching.py	(revision 11940)
@@ -24,5 +24,5 @@
 students, studycourses, payment tickets and accommodation tickets.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.wdu.students.interfaces import (
     ICustomStudent, ICustomStudentUpdateByRegNo,
     ICustomStudentUpdateByMatricNo,
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/browser.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/browser.py	(revision 11940)
@@ -41,7 +41,7 @@
     )
 
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.wdu.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.wdu.interfaces import MessageFactory as _
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/export.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/export.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/export.py	(revision 11940)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.wdu.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/interfaces.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/interfaces.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/interfaces.py	(revision 11940)
@@ -24,6 +24,6 @@
     INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
     )
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.wdu.payments.interfaces import ICustomOnlinePayment
+from kofacustom.wdu.interfaces import MessageFactory as _
 
 class ICustomStudentBase(INigeriaStudentBase):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/payments.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/payments.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/payments.py	(revision 11940)
@@ -26,5 +26,5 @@
     StudentOnlinePayment, StudentOnlinePaymentFactory)
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.wdu.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(StudentOnlinePayment):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/student.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/student.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/student.py	(revision 11940)
@@ -26,5 +26,5 @@
 from waeup.kofa.utils.helpers import get_current_principal
 from kofacustom.nigeria.students.student import NigeriaStudent
-from kofacustom.skeleton.students.interfaces import ICustomStudent
+from kofacustom.wdu.students.interfaces import ICustomStudent
 
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/studycourse.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/studycourse.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/studycourse.py	(revision 11940)
@@ -27,5 +27,5 @@
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
 from kofacustom.nigeria.students.studycourse import NigeriaStudentStudyCourse
-from kofacustom.skeleton.students.interfaces import ICustomStudentStudyCourse
+from kofacustom.wdu.students.interfaces import ICustomStudentStudyCourse
 
 class CustomStudentStudyCourse(NigeriaStudentStudyCourse):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/studylevel.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/studylevel.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/studylevel.py	(revision 11940)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.wdu.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/tests/test_browser.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_browser.py	(revision 11940)
@@ -34,4 +34,4 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_export.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_export.py	(revision 11940)
@@ -5,8 +5,8 @@
 from waeup.kofa.schoolgrades import ResultEntry
 from waeup.kofa.students.tests.test_batching import StudentImportExportSetup
-from kofacustom.skeleton.utils.utils import CustomKofaUtils
-from kofacustom.skeleton.students.export import (
+from kofacustom.wdu.utils.utils import CustomKofaUtils
+from kofacustom.wdu.students.export import (
     CustomStudentsExporter, CustomStudentPaymentsExporter)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_student.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/tests/test_student.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_student.py	(revision 11940)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.skeleton.students.studycourse import (
+from kofacustom.wdu.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.wdu.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.skeleton.students.studylevel import (
+from kofacustom.wdu.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.wdu.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/utils.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/utils.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/utils.py	(revision 11940)
@@ -21,5 +21,5 @@
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
 from kofacustom.nigeria.students.utils import NigeriaStudentsUtils
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.wdu.interfaces import MessageFactory as _
 
 class CustomStudentsUtils(NigeriaStudentsUtils):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/viewlets.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/students/viewlets.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/viewlets.py	(revision 11940)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.wdu.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.viewlets import (
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/testing.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/testing.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/testing.py	(revision 11940)
@@ -19,9 +19,9 @@
 """
 import os.path
-import kofacustom.skeleton
+import kofacustom.wdu
 from zope.app.testing.functional import ZCMLLayer
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(kofacustom.skeleton.__file__), 'ftesting.zcml')
+    os.path.dirname(kofacustom.wdu.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/tests/test_configuration.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/tests/test_configuration.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/tests/test_configuration.py	(revision 11940)
@@ -25,9 +25,9 @@
 from waeup.kofa.tests.test_configuration import (
     ConfigurationTest, SessionConfigurationFactoryTest)
-from kofacustom.skeleton.configuration import (
+from kofacustom.wdu.configuration import (
     CustomSessionConfiguration, CustomSessionConfigurationFactory)
-from kofacustom.skeleton.interfaces import(
+from kofacustom.wdu.interfaces import(
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 
 class ConfigurationTest(ConfigurationTest):
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/tests/test_datacenter.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/tests/test_datacenter.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/tests/test_datacenter.py	(revision 11940)
@@ -18,5 +18,5 @@
 from waeup.kofa.datacenter import DataCenter
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 
 
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/tests/test_smtp.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/tests/test_smtp.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/tests/test_smtp.py	(revision 11940)
@@ -33,5 +33,5 @@
     send_mail)
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 
 #
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/utils/tests.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/skeleton/utils/tests.py	(revision 11938)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/utils/tests.py	(revision 11940)
@@ -17,5 +17,5 @@
 ##
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.wdu.testing import FunctionalLayer
 
 