Index: main/kofacustom.wdu/trunk/layout/rules.xml
===================================================================
--- main/kofacustom.wdu/trunk/layout/rules.xml	(revision 11940)
+++ main/kofacustom.wdu/trunk/layout/rules.xml	(revision 11942)
@@ -113,41 +113,4 @@
 -->
 
-    <!-- the language selector
-
-      quite tricky. We insert a <li> element at beginning of
-      ul.kofa-navbar-right. This <li> has a header element
-      (the 'Language' button) and the a number of <li> elements
-      representing the supported languages.
-      We change the input content of format
-
-         <a href="foo" title="Lang">Abbrev</a>
-
-      to
-
-         <a href="foo">Lang</a>
-
-      creating new nodes (<xsl:element>) with attributes copied over.
-    -->
-    <before css:theme-children="ul.kofa-navbar-right">
-      <li class="dropdown kofa-langselect">
-        <a href="#" class="dropdown-toggle"
-           data-toggle="dropdown">
-           <img src="/static/img/earth.png" />
-        </a>
-        <ul class="dropdown-menu">
-          <xsl:for-each css:select=" .language a">
-            <li class="kofa-language">
-              <xsl:element name="a">
-                <xsl:attribute name="href">
-                  <xsl:value-of select="@href" />
-                </xsl:attribute>
-                <xsl:value-of select="@title" />
-              </xsl:element>
-            </li>
-          </xsl:for-each>
-        </ul>
-      </li>
-    </before>
-
     <!-- Make all data tables responsive -->
 
Index: main/kofacustom.wdu/trunk/layout/static/custom.css
===================================================================
--- main/kofacustom.wdu/trunk/layout/static/custom.css	(revision 11940)
+++ 	(revision )
@@ -1,45 +1,0 @@
-a {
-  color: #930303;
-}
-
-a:hover {
-  color: #5f0500;
-}
-
-.topbar a {
-    color: white;
-}
-
-.navbar-inverse {
-  background-color: #5f0500;
-  background-image: -webkit-linear-gradient(top, #5f0500 0%, #930303 100%);
-  background-image: linear-gradient(to bottom, #5f0500 0%, #930303 100%);
-  background-repeat: repeat-x;
-}
-
-.navbar-inverse .navbar-brand,
-.navbar-inverse .navbar-nav > li > a {
-  color: #cccccc;
-}
-
-.navbar-inverse .navbar-nav > li > a:hover,
-.navbar-inverse .navbar-nav > .active > a,
-.navbar-inverse .navbar-nav > .active > a:hover,
-.navbar-inverse .navbar-nav > .active > a:focus {
-  color: #ffffff;
-  background-color: #930303;
-  background-image: none;
-  background-image: none;
-  filter: none;
-  -webkit-box-shadow: none;
-          box-shadow: none;
-}
-
-.navbar-inverse .navbar-toggle {
-  border-color: #930303;
-}
-
-.navbar-inverse .navbar-toggle:hover,
-.navbar-inverse .navbar-toggle:focus {
-  background-color: #930303;
-}
Index: main/kofacustom.wdu/trunk/layout/static/custom.css.not_yet_used
===================================================================
--- main/kofacustom.wdu/trunk/layout/static/custom.css.not_yet_used	(revision 11942)
+++ main/kofacustom.wdu/trunk/layout/static/custom.css.not_yet_used	(revision 11942)
@@ -0,0 +1,45 @@
+a {
+  color: #930303;
+}
+
+a:hover {
+  color: #5f0500;
+}
+
+.topbar a {
+    color: white;
+}
+
+.navbar-inverse {
+  background-color: #5f0500;
+  background-image: -webkit-linear-gradient(top, #5f0500 0%, #930303 100%);
+  background-image: linear-gradient(to bottom, #5f0500 0%, #930303 100%);
+  background-repeat: repeat-x;
+}
+
+.navbar-inverse .navbar-brand,
+.navbar-inverse .navbar-nav > li > a {
+  color: #cccccc;
+}
+
+.navbar-inverse .navbar-nav > li > a:hover,
+.navbar-inverse .navbar-nav > .active > a,
+.navbar-inverse .navbar-nav > .active > a:hover,
+.navbar-inverse .navbar-nav > .active > a:focus {
+  color: #ffffff;
+  background-color: #930303;
+  background-image: none;
+  background-image: none;
+  filter: none;
+  -webkit-box-shadow: none;
+          box-shadow: none;
+}
+
+.navbar-inverse .navbar-toggle {
+  border-color: #930303;
+}
+
+.navbar-inverse .navbar-toggle:hover,
+.navbar-inverse .navbar-toggle:focus {
+  background-color: #930303;
+}
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 11940)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 11942)
@@ -24,5 +24,7 @@
 from zope.catalog.interfaces import ICatalog
 from zope.intid.interfaces import IIntIds
+from hurry.workflow.interfaces import IWorkflowState
 from kofacustom.wdu.testing import FunctionalLayer
+from waeup.kofa.browser.tests.test_pdf import samples_dir
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
@@ -143,2 +145,25 @@
         self.assertEqual(num_fail,0)
         return
+
+
+class ApplicantsContainerUITests(ApplicantsFullSetup):
+    # Tests for ApplicantsContainer class views and pages
+
+    layer = FunctionalLayer
+
+    def test_application_slip(self):
+        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
+        self.slip_path = self.view_path + '/application_slip.pdf'
+        self.browser.open(self.manage_path)
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.fill_correct_values()
+        self.browser.getControl("Save").click()
+        IWorkflowState(self.applicant).setState('submitted')
+        self.browser.open(self.manage_path)
+        self.browser.getLink("Download application slip").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'],
+                         'application/pdf')
+        path = os.path.join(samples_dir(), 'application_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample application_slip.pdf written to %s" % path