Index: /main/waeup.kofa/branches/henrik-regista/CHANGES.txt
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/CHANGES.txt	(revision 11947)
+++ /main/waeup.kofa/branches/henrik-regista/CHANGES.txt	(revision 11948)
@@ -2,194 +2,12 @@
 *******
 
-1.3dev (unreleased)
+0.2dev (unreleased)
 ===================
 
-* Enable localization of batch processing modules.
-
-* Hide 'Create students' button. Only user admin can see this button.
-
-* Add application_slip_notice field to ApplicantsContainer.
-
-* Remove 'Size' column from logfiles table.
-
-* Add permission, page and button to mass-clear all students in a department.
-
-* Hide export download button 24 hours after file generation.
-
-* Add helper to allow `meminfo` checks for cached memory, etc.
-
-* Allow external checks of system load before performing expensive
-  actions.
-
-* Add new dependency: `psutil` (required to check system state).
-
-* Show flash message on general search page for the academics section.
-
-* Fix CertificateCourseProcessor. Mandatory is not a required field
-  and might be missing in import files. Improve logging. Extend and
-  fix CertCourseProcessorTests.
-
-* Provide customizable method for disabling clearance by clearance
-  officers.
-
-* Merge Javascript functions into one file. Add Javascript function to
-  calculate copyright notice year automatically.
-
-* Use lastname (surname) instead of firstname to verify found
-  application record on ApplicantRegistrationPage.
-
-* Append hash '#' also to datetimes to circumvent unwanted excel
-  automatic.
-
-* Method for (customizable) application passport upload requirements
-  added.
-
-* Filter payment ticket data exports by specifying the payment_date
-  period.
-
-* Method for (customizable) application payment slip download
-  requirements added.
-
-* Method for (customizable) application payment ticket upload
-  requirements added.
-
-* Remove unused rowadd javascript function.
-
-* certcode and reg_number added to DataForBursaryExporter.
-
-* Some batch processor names corrected.
-
-* Fixed ReST markup in setup.py long description.
-
-
-1.2 (2014-06-16)
-================
-
-* Redirect to login page after using password mandate.
-
-* Adding student payment tickets is logged.
-
-* Provide XMLRPC services for storing and retrieving fingerprint
-  scans.
-
-* Sort ContextualDictSource by dictionary values not by keys.
-
-* Add regular school fee and balance payments when exporting payments
-  overviews.
-
-* Add samePaymentMade method to StudentsUtils.
-
-* Fingerprint file upload enabled.
-
-* is_fresh property method added to Student class.
-
-* Special application procedure modified. Special applicants must submit
-  their form before they can download payment slips. Thus the regular
-  workflow is now applied but, in contrast to regular applications,
-  special applicants can create and pay more than one payment ticket.
-  Also application slips are hidden.
-
-* Add setMatricNumber and constructMatricNumber methods to StudentsUtils.
-
-* When sending mails, always set from-address to 'no-reply@waeup.org'.
-  Real from-addresses are now set in Cc and Reply-To fields. This is
-  to tackle problems with yahoo (does not allow yahoo.com mails to be
-  sent from non-yahoo servers).
-
-* Multiple payments in special application containers enabled.
-  Special payment applicants remain in state started after payment.
-
-* File input fields brought into shape with Bootstrap 3.
-
-* Transcript and access code pagetemplates adjusted.
-
-* Print QR codes on all student slips.
-
-* Allow adding current_level to base data section on all student slips
-  (requested by Uniben).
-
-* Windows is no longer supported. Installation manual removed.
-
-* Added JS helper to scroll to sequencelists after adding/removing items.
-
-
-1.1 (2014-03-13)
-================
-
-* Add display_fullname column to CourseTicketExporter (requested by Uniben).
-
-* Do also export student and course ticket data of students on probation.
-
-* 'Create student' option removed from 'Application Transition'
-  select field.
-
-* API docs added.
-
-* Back-to links replaced by animated jQuery plugins.
-
-* Default frontpage text updated.
-
-* Use absolute urls on datacenter pages.
-
-* Provide customizable method for disabling student payments.
-
-* After login and logout, regular users (officers) are redirected
-  to the portal's index page not to the portal's root. The
-  root URL can now be rewritten be Nginx or Apache so that the user
-  is being redirected to the university website
-  when entering the root URL directly or clicking the acronym.
-
-* Show tooltip alert and warning window before updating plugins.
-
-* JSAction has been deprecated. KofaAction can be used instead. Additional
-  parameters can be used in @action decorators to enable tooltips and/or
-  warning windows. The old @jsaction decorator still triggers a default
-  warning message.
-
-* jquery-ui.min.js is also used for tooltips.
-
-* Do not create TSC AC batch when updating plugins.
-  All TSC batches are created.
-
-* Make table on applicantsrootpage responsive.
-
-* Change width of input, select and textarea fields.
-
-* Use only https in theme.html.
-
-* INSTALL.txt updated and integrated into Sphinx documentation.
-
-* Redundancies removed in docs.
-
-
-1.0 (2014-02-22)
-================
-
-* Diazofied the complete package.
-
-
-0.2.1 (2014-02-21)
-==================
-
-* Send mails to from-address, if site-wide config admin is
-  different from it.
-
-* Change flash message for successful applicants.
-
-* Use more attributes of applicants with payer objects.
-
-* Update copyright infos (year).
-
-* Localization updates.
-
-
-0.2 (2014-01-09)
-================
-
-Tons of changes.
-
+* Enucleation: Keep only the portal's framework.
+  Remove university, students, applicants, hostels and accesscodes modules.
 
 0.1 (never released)
 ====================
 
-Initial version. Copy from waeup.sirp.
+Initial version. Copy from waeup.kofa.
Index: /main/waeup.kofa/branches/henrik-regista/setup.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/setup.py	(revision 11947)
+++ /main/waeup.kofa/branches/henrik-regista/setup.py	(revision 11948)
@@ -2,5 +2,5 @@
 from setuptools import setup, find_packages
 
-version = '1.3dev'
+version = '0.2dev'
 
 install_requires =[